Prolifto
API reference

Orders

Orders, payments, returns, and reconciliation

Advance Status

POST
/orders/advanceStatus

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/advanceStatus" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string"  }'
{}

Archive

POST
/orders/archive

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/archive" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string"  }'
{}

Archive Many

POST
/orders/archiveMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/archiveMany" \  -H "Content-Type: application/json" \  -d '{    "orderIds": [      "string"    ]  }'
{}

Checkout

POST
/{organizationSlug}/orders/checkout

Path Parameters

organizationSlug*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/string/orders/checkout" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string",    "phoneNumber": "string",    "city": "string",    "country": "string",    "line1": "string",    "line2": "string",    "postalCode": "string",    "state": "string",    "type": "BILLING",    "provider": "CASH_ON_DELIVERY",    "variants": [      {        "variantId": "string"      }    ]  }'
{}

Cod Reconciliation

POST
/orders/codReconciliation

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/codReconciliation" \  -H "Content-Type: application/json" \  -d '{}'
{}

Cod Reconciliation Csv

POST
/orders/codReconciliationCsv

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/codReconciliationCsv" \  -H "Content-Type: application/json" \  -d '{}'
{}

Confirm Payment

POST
/orders/confirmPayment

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/confirmPayment" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string",    "source": "ADMIN"  }'
{}

Confirm Payment Many

POST
/orders/confirmPaymentMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/confirmPaymentMany" \  -H "Content-Type: application/json" \  -d '{    "orderIds": [      "string"    ]  }'
{}

Create

POST
/{organizationSlug}/order

Path Parameters

organizationSlug*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/string/order" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string",    "phoneNumber": "string",    "city": "string",    "country": "string",    "line1": "string",    "line2": "string",    "postalCode": "string",    "state": "string",    "type": "BILLING",    "provider": "CASH_ON_DELIVERY",    "variants": [      {        "variantId": "string"      }    ]  }'
{}

Get By Customer

GET
/{organizationSlug}/orders/{customerId}

Path Parameters

organizationSlug*string
Length1 <= length
customerId*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/orders/string"
{}

Get Many

GET
/{organizationSlug}/orders

Path Parameters

organizationSlug*string
Length1 <= length

Query Parameters

customerId?|
dateFrom?string
Match^\d{4}-\d{2}-\d{2}$
dateTo?string
Match^\d{4}-\d{2}-\d{2}$
deletedOnly?boolean
Defaultfalse
deliveryType?string
Value in"HOME" | "STOPDESK"
limit?number
Default10
Range1 <= value <= 100
orderBy?array<>
Default["created_desc"]
page?number
Default1
Range1 <= value
paymentStatus?string
Value in"PAID" | "UNPAID"
search?|
source?string
Value in"STOREFRONT" | "ADMIN" | "API"
status?string
Value in"PENDING" | "CONFIRMED" | "PROCESSING" | "SHIPPED" | "DELIVERED" | "CANCELED" | "RETURNED"

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/orders"
{}

Get Recent Summary

POST
/orders/getRecentSummary

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/getRecentSummary" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Get One

GET
/{organizationSlug}/orders/{orderNumber}

Path Parameters

organizationSlug*string
Length1 <= length
orderNumber*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/orders/string"
{}

Log Contact Attempt

POST
/orders/logContactAttempt

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/logContactAttempt" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string",    "channel": "PHONE",    "outcome": "NO_ANSWER"  }'
{}

Mark Return Refund Paid

POST
/orders/markReturnRefundPaid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/markReturnRefundPaid" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string"  }'
{}

Missing Stock Restorations

POST
/orders/missingStockRestorations

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/missingStockRestorations"
{}

Resend Confirmation Email

POST
/orders/resendConfirmationEmail

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/resendConfirmationEmail" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string"  }'
{}

Resend Sms

POST
/orders/resendSms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/resendSms" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string"  }'
{}

Restore

POST
/orders/restore

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/restore" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string"  }'
{}

Restore Many

POST
/orders/restoreMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/restoreMany" \  -H "Content-Type: application/json" \  -d '{    "orderIds": [      "string"    ]  }'
{}

Restore Missing Stock

POST
/orders/restoreMissingStock

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/restoreMissingStock" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string"  }'
{}

Return Order

POST
/orders/returnOrder

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/returnOrder" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string",    "reason": "REFUSED"  }'
{}

Update

POST
/orders/update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/update" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string",    "phoneNumber": "string",    "city": "string",    "country": "string",    "line1": "string",    "line2": "string",    "postalCode": "string",    "state": "string",    "type": "BILLING",    "variants": [      {        "variantId": "string"      }    ],    "orderId": "string"  }'
{}

Update Carrier Fee

POST
/orders/updateCarrierFee

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/updateCarrierFee" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string",    "carrierFee": "string"  }'
{}

Update Shipping

POST
/orders/updateShipping

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/updateShipping" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string",    "shippingCarrier": "string",    "trackingNumber": "string"  }'
{}

Update Status

POST
/orders/updateStatus

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/updateStatus" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string"  }'
{}

Update Status Many

POST
/orders/updateStatusMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/orders/updateStatusMany" \  -H "Content-Type: application/json" \  -d '{    "orderIds": [      "string"    ],    "status": "PENDING"  }'
{}